Subject: Re: Bug#881715: alsa-utils: High CPU usage on the default device

From: Elimar Riesebieter <[email-masked]>
Date: Wed, 22 Nov 2017 07:53:04 +0100

* Andoru <[email-masked]> [2017-11-19 15:11 +0200]:

> > I meant .asoundrc. Please notice the dot.
> >
> > $ find $HOME -name '.asoundrc*'
> >
> > will do the trick
> 
> Of course, that file search was meant for demonstration. I've already
> looked at the home folder with the file manager, but there was no
> .asoundrc. Thank you for the example command.
> 
> > $ sudo apt install vorbis-tools
> > $ ogg123 -d alsa -o surround71 $YOUR_FAVORITE_OGG.ogg
> > $ man ogg123
> >
> > With alsamixer you can control the output device
> 
> I did that now, and even with the default device, ogg123 was using 3.5-5%
> CPU, which is way better than with VLC.
> Command used:
> 
> _____________________________________________________________________
> ogg123 -d alsa -o default -v ~/Desktop/sample2.ogg
> _____________________________________________________________________
> 
> I've also tried to use the "front" subdevice, but it keeps reporting it as
> busy who-knows-why:
> 
> _____________________________________________________________________
> ogg123 -d alsa -o dev:front -v ~/sample2.ogg
> _____________________________________________________________________
> 
> I've also tried mpg123, and got similar results (~3% on the default device)
> 
> I'm guessing then this isn't an ALSA issue... Though I'm not sure what's
> causing it in VLC and Wine.

So I am closing this bug hereby.

Thanks for cooperation
Elimar
-- 
  Never make anything simple and efficient when a way
  can be found to make it complex and wonderful ;-)